From: <a href="/blend/av.cgi?id=372">Jubal29717</a><BR>
Date: 22 October 2001<P>

Taboo:  Slow Comfortable Screw was hysterical.  It had such a ring of truth to me because I was VERY innocent in my college days and it sounds exactly like something I would have done!   Thanks for jogging some fine old memories!
<HR>
From: <a href="/blend/av.cgi?id=50">MichaelT()</a><BR>
Date: 22 October 2001<P>

Melai ~ I'm not filipino. I am asian. And I don't know m&m. I like the green ones? Nice to meet you.
<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 22 October 2001<P>

ManiFest~ <BR>
<BR>
'A found story' was an absolutely great poem...Keep posting...=)<BR>
<BR>
Love and morning mist, Ali
<HR>